Bug 464896 - (nomodeset) Collective bug for all "Cannot start without nomodeset on kernel command line"
Collective bug for all "Cannot start without nomodeset on kernel command line"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
: 446003 ati-modesetting 461727 463717 463895 465255 465272 465600 465871 465889 466042 468247 470806 473533 474739 476657 (view as bug list)
Depends On: 467821
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2008-10-01 04:21 EDT by Rolf Offermanns
Modified: 2010-06-03 22:32 EDT (History)
41 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:27:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Desktop artifacts on X800 w/kernel mode setting (71.07 KB, image/png)
2008-10-16 08:41 EDT, Joachim Frieben
no flags Details
Xorg.0.log (93.31 KB, text/plain)
2008-11-19 15:23 EST, Steve
no flags Details
Xorg.0.log for ATI Radeon X800 (R430) w/kernel-2.6.28-0.114.rc7.git5.fc11.x86_64 (19.35 KB, text/plain)
2008-12-08 14:44 EST, Joachim Frieben
no flags Details
Xorg.0.log, no xorg.conf (22.33 KB, text/plain)
2009-01-25 19:11 EST, Hin-Tak Leung
no flags Details
Inspiron 8500 Xorg.5.log, no xorg.conf, fails to load drm module (9.75 KB, text/plain)
2009-11-28 13:16 EST, Christopher Scannell
no flags Details
/var/log/messages with and w/o "nomodeset", Inspiron 8500, NVIDIA chipset, F12 (130.16 KB, text/plain)
2009-11-28 13:25 EST, Christopher Scannell
no flags Details

  None (edit)
Description Rolf Offermanns 2008-10-01 04:21:49 EDT
Description of problem:
The system boots up from CD, the KDE splash screen appears (all icons), the background switches to white and then the mouse freezes (it works until then) and the only thing I can do is poweroff.

The video card is a ATI Mobility RADEON x300.

I will try the installation DVD next.
Comment 1 Sebastian Vahl 2008-10-01 06:10:57 EDT
The Beta enables the kernel modesetting for some radeon cards (r300-r500). So please test a boot without modesetting. To do so:

1. Press a key at isolinux boot screen to unhide the menu
2. Enter tab at the first boot entry
3. Add "nomodeset" (without brackets) to the line
4. Presse enter/return to boot


https://fedoraproject.org/wiki/Features/KernelModesetting
Comment 2 Rolf Offermanns 2008-10-01 06:25:30 EDT
That worked! Now I get to the Desktop. Thanks!
Comment 3 Rolf Offermanns 2008-10-01 07:12:31 EDT
Will this problem be fixed? Is it worth removing the "nomodeset" parameter from my menu.lst after a kernel update to check if it works then?
Comment 4 Rex Dieter 2008-10-01 09:44:48 EDT
> Will this (mode-setting) problem be fixed?

We all sure hope so, but that's a matter for the kernel folks (reassigning).
Comment 5 Anne 2008-10-01 10:23:49 EDT
My Acer Travelmate has a Radeon X600.  I got further than Rolf, getting to the desktop, and one widget actually reported, but then everything froze and it had to be powered off.  Again, "nomodeset" cured it.  I believe this is probably the same bug.
Comment 6 Peter Bloomfield 2008-10-03 10:35:34 EDT
I've been having the same issues since upgrading my T43 to rawhide, booting into gdm and Gnome.  One recent kernel that would boot /without/ nomodeset was 2.6.27-0.352.rc7.git1.fc10.i686, but the current setup fails:

kernel-2.6.27-0.377.rc8.git1.fc10.i686
xorg-x11-server-Xorg-1.5.1-4.fc10.i386
xorg-x11-drv-ati-6.9.0-21.fc10.i386

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon
X300]
Comment 7 Matěj Cepl 2008-10-03 11:51:21 EDT
*** Bug 446003 has been marked as a duplicate of this bug. ***
Comment 8 Matěj Cepl 2008-10-08 12:20:09 EDT
*** Bug 466042 has been marked as a duplicate of this bug. ***
Comment 9 Matěj Cepl 2008-10-08 17:13:24 EDT
*** Bug 465871 has been marked as a duplicate of this bug. ***
Comment 10 Matěj Cepl 2008-10-08 18:15:52 EDT
*** Bug 461727 has been marked as a duplicate of this bug. ***
Comment 11 Matěj Cepl 2008-10-08 18:49:23 EDT
*** Bug 465600 has been marked as a duplicate of this bug. ***
Comment 12 Matěj Cepl 2008-10-09 05:08:25 EDT
*** Bug 465255 has been marked as a duplicate of this bug. ***
Comment 13 Clyde E. Kunkel 2008-10-09 11:06:13 EDT
Adding nomodeset parm to the grub kernel line does not work for me either in rawhide or with FC10 Beta (I know, same same) when no xorg.conf or an xorg.conf that specifies the ati driver.  The graphics card is a Radeon 2600 HD on a PCIE slot.

I have to create an xorg.conf with the radeonhd driver in order to get a gui desktop.
Comment 14 Dave Airlie 2008-10-10 01:42:51 EDT
Clyde you have a different issue, can you open a separate bug with logs from radeon and radeonhd attached?
Comment 15 Matěj Cepl 2008-10-12 18:23:33 EDT
*** Bug 465889 has been marked as a duplicate of this bug. ***
Comment 16 Matěj Cepl 2008-10-12 18:24:23 EDT
*** Bug 466663 has been marked as a duplicate of this bug. ***
Comment 17 Hans de Goede 2008-10-12 18:30:07 EDT
(In reply to comment #16)
> *** Bug 466663 has been marked as a duplicate of this bug. ***

Bug 466663 is about text/font corruption when not using nomodeset, not about total failure, reopen?
Comment 18 Clyde E. Kunkel 2008-10-12 18:50:39 EDT
WRT comment #14: now moot.  My problem fixed with xorg-x11-drv-ati-6.9.0-25.fc10.i386
Comment 19 David Andersson 2008-10-12 18:57:19 EDT
With the update from 12/10 I can now boot without nomodeset; this is with a r300 on i686 and the following packages:
kernel-2.6.27-3.fc10.i686
xorg-x11-drv-ati-6.9.0-25.fc10.i386
Comment 20 scmuser 2008-10-13 12:42:54 EDT
I have a 780G board and F10 beta won't install even with nomodeset.
Comment 21 Peter Bloomfield 2008-10-13 17:33:48 EDT
(In reply to comment #19)
> With the update from 12/10 I can now boot without nomodeset; this is with a
> r300 on i686 and the following packages:
> kernel-2.6.27-3.fc10.i686
> xorg-x11-drv-ati-6.9.0-25.fc10.i386

I still can't, with those same packages.  ThinkPad T43 with "ATI Technologies Inc M22 [Mobility Radeon X300]".
Comment 22 Matěj Cepl 2008-10-13 18:54:02 EDT
(In reply to comment #20)
> I have a 780G board and F10 beta won't install even with nomodeset.

Please file a separate bug and attach /var/log/Xorg.0.log, /var/log/dmesg, and /etc/X11/xorg.conf (if you have any).

THank you
Comment 23 Jóhann B. Guðmundsson 2008-10-14 09:05:45 EDT
Still the same here r300 fully updated today's rawhide
with mesa-7.2-0.8.fc10 and xorg-x11-drv-ati-6.9.0-26.fc10

Soon as X starts ( GDM ) then instant freeze. 
If I boot to runlevel 3 and run start X it 
shows graphical errors then freezes after few minutes.
Comment 24 Jesse Brandeburg 2008-10-15 00:50:48 EDT
I have a t43 as well, X300 radeon

In my case X seems to start but the screen is screwed, I have had some success letting modesetting start, but I can't do things like login.

starting the kernel with nomodeset works fine.

I can provide other info on request.

[root@jbrandeb-mobl1 ~]# lspci -n
00:00.0 0600: 8086:2590 (rev 03)
00:01.0 0604: 8086:2591 (rev 03)
00:1c.0 0604: 8086:2660 (rev 03)
00:1c.2 0604: 8086:2664 (rev 03)
00:1d.0 0c03: 8086:2658 (rev 03)
00:1d.1 0c03: 8086:2659 (rev 03)
00:1d.2 0c03: 8086:265a (rev 03)
00:1d.3 0c03: 8086:265b (rev 03)
00:1d.7 0c03: 8086:265c (rev 03)
00:1e.0 0604: 8086:2448 (rev d3)
00:1e.2 0401: 8086:266e (rev 03)
00:1e.3 0703: 8086:266d (rev 03)
00:1f.0 0601: 8086:2641 (rev 03)
00:1f.2 0101: 8086:2653 (rev 03)
00:1f.3 0c05: 8086:266a (rev 03)
01:00.0 0300: 1002:5460
02:00.0 0200: 14e4:167d (rev 11)
0b:00.0 0607: 1180:0476 (rev 8d)
0b:02.0 0280: 8086:4224 (rev 05)
Comment 25 Joachim Frieben 2008-10-16 08:41:11 EDT
Created attachment 320551 [details]
Desktop artifacts on X800 w/kernel mode setting

Without "nomodeset", the F10-Snap1 live CD boots into run level 5, and instead of GDM appearing on the screen, the latter is filled with a bright, almost white pattern. The mouse cursor can be moved for a few seconds. Then, X locks up.
With current "rawhide", it is possible to log in from GDM, but after less than a minute, the machine will simply crash and start over. Before, artifacts as shown in the attached screenshot corrupt the desktop. After adding "nomodeset", everything works as expected.
This is on an x86_64 system with an ATI X800 video card [Chipset: "ATI Radeon X800 SE (R430) (PCIE)" (ChipID = 0x554e)]. Installed packages include:

- kernel-2.6.27-13.fc10.x86_64
- libdrm-2.4.0-0.21.fc10.x86_64
- mesa-*-7.2-0.8.fc10.x86_64
- xorg-x11-drv-ati-6.9.0-27.fc10.x86_64
- xorg-x11-server-Xorg-1.5.2-4.fc10.x86_64
Comment 26 Gordon Messmer 2008-10-20 19:09:08 EDT
Using the DVD from the Beta release of F10, I was able to load anaconda with kernel modesetting, though I had no mouse cursor.  Using the DVD from Snap2, the system appears to crash entirely.  When anaconda should load its GUI, instead I get a blank console with a solid underline style cursor in the upper left corner.  Pressing Ctrl+Alt+Del causes the PC to reboot immediately, rather than the orderly shutdown that I'd expect if the kernel were still alive.
Comment 27 Jóhann B. Guðmundsson 2008-10-21 03:33:58 EDT
Still the same problem with snapshot-2 dvd.

There seems to be some improvement.

Anaconda is correctly filled in the display which it did not last time.

Font is off along with X freezes.

Booting with nomodeset i'm able to install without 
X to freeze. 

Fonts are still off thou.

Booting after install results in no graphics in plymouth and 
in firstboot the system freezes. 

Same thing happens when X starts (GDM).

Things work ok with nomodeset.
Comment 28 Christopher D. Stover 2008-10-22 16:06:40 EDT
*** Bug 465272 has been marked as a duplicate of this bug. ***
Comment 29 Christopher D. Stover 2008-10-22 16:24:56 EDT
*** Bug 463717 has been marked as a duplicate of this bug. ***
Comment 30 Peter Bloomfield 2008-10-22 22:06:49 EDT
Booting *without* nomodeset works with current rawhide on my ThinkPad T43:

kernel-2.6.27.3-30.rc1.fc10.i686
xorg-x11-drv-ati-6.9.0-29.fc10.i386
xorg-x11-server-Xorg-1.5.2-8.fc10.i386
Comment 31 Jóhann B. Guðmundsson 2008-10-23 09:39:05 EDT
Confirmed working on Mobility Radeon X300

kernel-2.6.27.3-39
xorg-x11-drv-ati-6.9.0-30.fc10.i386
xorg-x11-server-Xorg-1.5.2-8.fc10.i386

Not quite without trouble ( could be another bug )

If I boot in runlevel five the system "freeze"  after I 
log in with gdm I see black for a brief time then the background
seems to be reloaded and I see the computer home folder and Trash icons 
and then a freeze I guess when gnome panels are being loaded..   

If I boot into run level 3 start GDM and login I get the background
and mouse pointer nothing else... 

Booting into run level 3 and running startx everything works fine
no graphical errors present nothing :)
Comment 32 Peter Bloomfield 2008-10-23 17:41:56 EDT
(In reply to comment #30)
> Booting *without* nomodeset works with current rawhide on my ThinkPad T43:
> 
> kernel-2.6.27.3-30.rc1.fc10.i686
> xorg-x11-drv-ati-6.9.0-29.fc10.i386
> xorg-x11-server-Xorg-1.5.2-8.fc10.i386

...ahh, yes, also not without trouble.  Booting without nomodeset still seems solid, but resume after suspend has failed twice out of three tries.  Resume after suspend when booting with nomodeset is 100% so far (1 out of 1!).
Comment 33 Jóhann B. Guðmundsson 2008-10-24 07:11:00 EDT
Confirmed the resuming after suspend
( xorg-x11-drv-ati-6.9.0-31.fc10.i386 )

( The screen flickers between greenblue backround and yellow one with green stripes )

Booting has become solid thou.

Mobility Radeon X300

It would be good to get some feedback from others that have radeon
cards to see if they can boot ok without having to set the nomodeset
parameter.

We could open an separate bug with the suspend/resume/hibernate problems.
Comment 34 Peter Bloomfield 2008-10-24 08:07:10 EDT
(In reply to comment #33)
> Confirmed the resuming after suspend
> ( xorg-x11-drv-ati-6.9.0-31.fc10.i386 )
> 
> ( The screen flickers between greenblue backround and yellow one with green
> stripes )

I saw that screen once: alternating, with about 1/2 second in each set of colors.  Once the screen was completely black.  Both times the keyboard was unresponsive, with no sign of disk activity.  Same hardware (X300).

Suspend/resume seems to be solid when I boot with nomodeset.
Comment 35 Joachim Frieben 2008-10-26 05:22:17 EDT
(In reply to comment #25)
> This is on an x86_64 system with an ATI X800 video card [Chipset: "ATI Radeon
> X800 SE (R430) (PCIE)" (ChipID = 0x554e)].

There has been some progress for current "rawhide" [F10-Snap3 w/updates] and the video card decribed above. The attached monitor is an HP A4576A 21" CRT running at 1400x1050 and 24 bpp as specified in a custom xorg.conf.

- option "nomodeset vga=0x345": the system boots up displaying the spinfinity
  graphical boot screen at 1400x1050. X works correctly including hardware
  rendering.

- option "vga=0x345": the screen remains essentially black with some noticeable
  background glow until upon completion of the boot procedure some earlier
  content of the video memory is displayed. The system then freezes and
  needs a hard reset.

- no additional boot option: the system boots displaying the spinfinity
  graphical boot screen at 1280x1024. X works correctly, and one can even
  log on and log out again without problems which would crash the system
  until recently. However, any 3D related activity, e.g. running glxgears
  or opening the GL screen saver control panel will freeze the desktop
  within seconds and crashes the system triggering a soft reset.

Installed components include:

  kernel-2.6.27.4-47.rc3.fc10.x86_64
  glx-utils-7.2-0.13.fc10.x86_64
  mesa-dri-drivers-7.2-0.13.fc10.x86_64
  mesa-libGL-7.2-0.13.fc10.x86_64
  mesa-libGLU-7.2-0.13.fc10.x86_64
  plymouth-*-0.6.0-0.2008.10.24.1.fc10.x86_64
  xorg-x11-drv-ati-6.9.0-31.fc10.x86_64
Comment 36 Joachim Frieben 2008-10-27 07:46:43 EDT
No change by using kernel-2.6.27.4-52.fc10 with respect to kernel-2.6.27.4-47.rc3.fc10 of comment #35.
Comment 37 Jóhann B. Guðmundsson 2008-10-27 08:36:27 EDT
Running glxgears does not trigger reboot but running firefox 
and open a new tab ( or a window opens ) does.
so far I have only encountered this with firefox. 
( not that I've been looking that hard )

Adding the kernel parameter nomodeset does not trigger this issue.
Comment 38 Jóhann B. Guðmundsson 2008-10-30 09:27:45 EDT
I personally am no longer experiencing any issues with 
"Cannot start without nomodeset on kernel command line"
( ATI Mobility Radeon X300 )

Hence I'm removing my self from this bug.
Comment 39 Hans de Goede 2008-10-30 11:45:35 EDT
More good news, today I installed all the latest kernel, xserver, ati drv, etc. from koji and this fixes my radeon r350 with modesetting :)
Comment 40 Hin-Tak Leung 2008-10-31 14:26:46 EDT
The below is what I wrote in bug 462157 comment 31. Seems with the latest rawhide some can still have the nomodeset problem...
---------------------
So I grafted a whole bunch of rawhide rpms onto my fedora 9 system,
and I don't know if I'll get a X server hang yet (it only happens about once
every couple of days), but I am have boot-up problem - without nomodeset, it
hangs at the end of the progress bar and never get to the GDM log in screen.
Also, I am observing tears/flickers when the screen scrolls - before and after 
the upgrade, but seems more frequent after. So the upgrade has not been good so
far.

-----------------
xorg-x11-server-Xorg-1.5.2-10.fc10            Fri 31 Oct 2008 18:00:13 GMT
xorg-x11-server-common-1.5.2-10.fc10          Fri 31 Oct 2008 18:00:11 GMT
mesa-libGL-devel-7.2-0.13.fc10                Fri 31 Oct 2008 17:37:41 GMT
xorg-x11-drv-ati-6.9.0-38.fc10                Fri 31 Oct 2008 17:37:36 GMT
mesa-libGL-7.2-0.13.fc10                      Fri 31 Oct 2008 17:37:36 GMT
kernel-2.6.27.4-69.fc10                       Fri 31 Oct 2008 17:37:01 GMT
libdrm-2.4.0-0.21.fc10                        Fri 31 Oct 2008 17:36:49 GMT
kernel-devel-2.6.27.4-69.fc10                 Fri 31 Oct 2008 17:34:48 GMT
kernel-doc-2.6.27.4-69.fc10                   Fri 31 Oct 2008 17:34:02 GMT
libdrm-devel-2.4.0-0.21.fc10                  Fri 31 Oct 2008 17:33:22 GMT
kernel-headers-2.6.27.4-69.fc10               Fri 31 Oct 2008 17:33:16 GMT
mkinitrd-6.0.68-1.fc10                        Fri 31 Oct 2008 17:33:13 GMT
plymouth-0.6.0-0.2008.10.27.7.fc10            Fri 31 Oct 2008 17:33:11 GMT
plymouth-plugin-solar-0.6.0-0.2008.10.27.7.fc10 Fri 31 Oct 2008 17:33:09 GMT
fedora-logos-10.0.0-2.fc10                    Fri 31 Oct 2008 17:32:45 GMT
plymouth-scripts-0.6.0-0.2008.10.27.7.fc10    Fri 31 Oct 2008 17:32:44 GMT
plymouth-plugin-label-0.6.0-0.2008.10.27.7.fc10 Fri 31 Oct 2008 17:32:43 GMT
nash-6.0.68-1.fc10                            Fri 31 Oct 2008 17:32:41 GMT
plymouth-libs-0.6.0-0.2008.10.27.7.fc10       Fri 31 Oct 2008 17:32:37 GMT
mesa-libGL-7.2-0.13.fc10                      Fri 31 Oct 2008 17:32:36 GMT
mesa-dri-drivers-7.2-0.13.fc10                Fri 31 Oct 2008 17:32:35 GMT
initscripts-8.84-1                            Fri 31 Oct 2008 17:32:29 GMT
libdrm-2.4.0-0.21.fc10                        Fri 31 Oct 2008 17:32:04 GMT
kernel-firmware-2.6.27.4-69.fc10              Fri 31 Oct 2008 17:24:47 GMT
----------------
Comment 41 Christopher D. Stover 2008-10-31 20:56:12 EDT
*** Bug 461545 has been marked as a duplicate of this bug. ***
Comment 42 Steve 2008-11-02 06:13:47 EST
I tried to install boot.iso from rawhide (01-Nov-2008 07:03) today. There is no way to use the graphical installer. In Fedora 10 Beta, i was able to use the graphical
installer by typing # linux resolution=1650x1050. I have an ATI Radeon HD 3850
AGP, which have an R670-Chip. 
Is there maybe a connection to the following bug(s) or the bad ati driver?:

https://bugzilla.redhat.com/show_bug.cgi?id=463118
https://bugzilla.redhat.com/show_bug.cgi?id=467966
Comment 43 Håvard Wigtil 2008-11-04 16:24:22 EST
I'm also unable to boot without "nomodeset" on a Radeon 2100 (integrated graphics), but in addition the display turns itself off after a few seconds as in bug 467966. Is this still the same issue, or should I file a separate bug?
Comment 44 Peter Bloomfield 2008-11-07 08:37:31 EST
Still need to boot with nomodeset for resume to work on my ThinkPad T43 (Radeon Mobility x300).  This is the only remaining issue for me.

kernel-2.6.27.4-79.fc10.i686
xorg-x11-drv-ati-6.9.0-38.fc10.i386
plymouth-0.6.0-0.2008.10.30.4.fc10.i386
Comment 45 Konstantin Ryabitsev 2008-11-07 13:20:19 EST
Here's a twist -- adding "nomodeset" to my laptop with ATI Technologies Inc RadMobility M6 LY will actually cause the kernel to oops, and then the machine hangs trying to start udev.

Here's the oops (sorry, stitched photos):

http://fedorapeople.org/~icon/misc/radeon-nomodeset-oops.png
Comment 46 Diego 2008-11-07 14:46:28 EST
Here is my experience.

The ingredients:
- Fedora 10 Preview KDE Live CD (I've checked the media and it is OK)
- a R300 Radeon 9500, to be exact lspci reports a
01:00.0 VGA compatible controller: ATI Technologies Inc R300 AD [Radeon 9500 Pro]

What happens:
- with stock options it freezes towards the end of the Solar splash screen (just before you usually get the KDE desktop), mouse cursor locked, no VT switching, no Ctrl+Alt+Canc (sort of what's reported here:
https://bugzilla.redhat.com/show_bug.cgi?id=467702 )
- with stock options if you try to switch to a VT (e.g. pressing Ctrl+Alt+F2) _before_ the usual freeze described before and while the splash screen is progressing the screen turns to standby as if no input signal is present and the system locks;
- all goes well (including VT switching) with nomodeset option.
Comment 47 Chris Lumens 2008-11-11 17:18:25 EST
*** Bug 468247 has been marked as a duplicate of this bug. ***
Comment 48 Matěj Cepl 2008-11-12 12:15:42 EST
*** Bug 470806 has been marked as a duplicate of this bug. ***
Comment 49 Jeff Gustafson 2008-11-12 16:30:52 EST
I don't know why this bug is a duplicate.  I am able to boot.  Furthermore, I see Anaconda come up and present a menu.  Where it goes wrong is that the menu is properly positioned, but gets cut off at the 80 colx25 line mark.  The modeset make the screen much bigger than 80x25, it's just that the menu doesn't know that.
Comment 50 Jeff Gustafson 2008-11-13 16:12:19 EST
I just checked out rawhide today.  The menu does appear correctly now.  There is a bit of junk characters (like a modem line noise) in the mode of the top line of the screen now.
Comment 51 Steve 2008-11-13 17:05:21 EST
I just testet the boot.iso from today. After anaconda, the screen turns off. Also with "nomodeset".

ati radeon hd3850
Comment 52 Peter Bloomfield 2008-11-13 17:32:23 EST
I'm glad to report that resume now works after a mode-setting boot with ATI 
Radeon x300!

Updates from recent rawhide:
kernel-2.6.27.5-101.fc10.i686
plymouth-0.6.0-0.2008.11.10.5.fc10.i386

Same ati driver as before:
xorg-x11-drv-ati-6.9.0-38.fc10.i386
Comment 53 Christopher D. Stover 2008-11-15 17:12:42 EST
*** Bug 463895 has been marked as a duplicate of this bug. ***
Comment 54 Jesse Brandeburg 2008-11-18 18:11:28 EST
my IBM t43 with ATI x300 now works flawlessly without nomodeset (and with rhgb) and with suspend/resume in X.
Comment 55 Steve 2008-11-19 15:23:53 EST
Created attachment 324092 [details]
Xorg.0.log

There is no change with the new xorg-x11-drv-ati-6.9.0-54.fc10.i386. I have to use the radeonhd driver instead. Also no change with the current boot.iso from today. I wonder if there is any way to install the upcoming Fedora-10 with a never ati card?
Comment 56 Peter Bloomfield 2008-11-20 10:39:54 EST
Uh-oh...nomodeset is again required for resume to work (ThinkPad T43, Radeon x300).

kernel-2.6.27.5-117.fc10.i686
xorg-x11-drv-ati-6.9.0-54.fc10.i386
plymouth-0.6.0-0.2008.11.17.3.fc10.i386
Comment 57 Hin-Tak Leung 2008-11-24 16:18:07 EST
2 days to fc10, still won't boot without momodeset. 

kernel-2.6.27.5-123.fc10
xorg-x11-drv-ati-6.9.0-56.fc10

VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]
Comment 58 Peter Bloomfield 2008-11-24 18:46:13 EST
(In reply to comment #57)
> 2 days to fc10, still won't boot without momodeset. 
> 
> kernel-2.6.27.5-123.fc10
> xorg-x11-drv-ati-6.9.0-56.fc10
> 
> VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]

...and still won't resume unless booted without nomodeset (Radeon x300); rawhide: -117 and -54.
Comment 59 Peter Bloomfield 2008-11-24 18:47:33 EST
(In reply to comment #58)
> (In reply to comment #57)
> > 2 days to fc10, still won't boot without momodeset. 
> > 
> > kernel-2.6.27.5-123.fc10
> > xorg-x11-drv-ati-6.9.0-56.fc10
> > 
> > VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]
> 
> ...and still won't resume unless booted without nomodeset (Radeon x300);

that's *with nomodeset*, of course!
Comment 60 Bug Zapper 2008-11-25 22:18:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 61 Steve 2008-11-26 09:04:31 EST
the only way i found to install fedora 10 with a newer amd/ati card is in text mode: # linux text

I described it here: http://forums.fedoraforum.org/showthread.php?t=205210
Comment 62 Diego 2008-11-26 10:11:46 EST
Radeon 9500 AGP + Fedora 10 installed on HD:
- sometimes it still completely freezes before getting to the KDE desktop (after KDM and towards the end of KDE's splash screen);
- the most of the times (~80%) you try to switch to VT the monitor turn to standby.
Comment 63 Hin-Tak Leung 2008-11-30 17:09:17 EST
Recently the nomodeset situation seems to have changed, so I tried various
combinations. There is no winners, and each of them all have their own
problems:

radeon + EXA: tearing while scrolling, and most recently, font/screen
corruption when firefox is used. (bug 473815)

radeon + XAA: need to boot with nomodeset, or it goes into a black screen
instead of GDM. (bug 464896 ?)

radeonhd : no xvideo (bug 473819)

For general use, radeon + XAA is the best at the moment. 
(RS690M [Radeon X1200 Series])
Comment 64 Steve 2008-12-02 09:32:10 EST
No changes here with xorg-x11-drv-ati-6.9.0-59.fc10.i386 on rawhide. GDM also fails to load (monitor turns off) with nomodeset enabled. 
ATI Radeon HD 3850 AGP (R670).
Comment 65 John 2008-12-04 23:19:50 EST
see also bug 474739, same issue.
Comment 66 John 2008-12-04 23:26:43 EST
*** Bug 474739 has been marked as a duplicate of this bug. ***
Comment 67 Matěj Cepl 2008-12-05 09:21:07 EST
*** Bug 473533 has been marked as a duplicate of this bug. ***
Comment 68 John 2008-12-05 09:50:04 EST
Even after freshly updating the system (last night), it's still happening to me.  LCD goes nuts (via VGA only) without the "nomodeset".  DVI works fine, same LCD/card.

ATI 9700 pro, Samsung SyncMaster 226CW

Is anyone collecting logs/dumps? I'd be happy to provide, just ask.
Comment 69 Joachim Frieben 2008-12-08 14:44:15 EST
Created attachment 326171 [details]
Xorg.0.log for ATI Radeon X800 (R430) w/kernel-2.6.28-0.114.rc7.git5.fc11.x86_64

Graphical boot with kernel mode setting continues to work after updating to kernel-2.6.28-0.114.rc7.git5.fc11.x86_64, but in contrast with 2.6.27.x kernels, X fails to start up (.. (EE) [drm] drmOpen failed. ..). Adding "nomodeset" allows to restore a functional X. Issue is possibly related to bug 475193.
Comment 70 Daniel Qarras 2008-12-14 10:47:58 EST
Also on my Acer Aspire 1690 suspend/resume won't work without "nomodeset". With suspend resume seems to do nothing, with hibernation I can enter commands blindly and they work (e.g., poweroff). With "nomodeset" both suspend/resume work.
Comment 71 Peter Bloomfield 2008-12-18 14:03:27 EST
After a clean install on my ThinkPad T43 (w/Radeon X300) from the f10 live CD and yum upgrade, I can boot and suspend+resume with no problems, with the default "rhgb quiet" parameters--that is, no need for "nomodeset".

kernel-2.6.27.7-134.fc10.i686
xorg-x11-drv-ati-6.9.0-62.fc10.i386

Prior to the reinstall, with a fully updated f10 and those same versions, I was having problems, so they must have been caused by some stray weirdness in other files.
Comment 72 Matěj Cepl 2008-12-19 19:01:57 EST
*** Bug 476657 has been marked as a duplicate of this bug. ***
Comment 73 David Rees 2009-01-10 03:49:14 EST
Add me to the list of systems that won't function without nomodeset.  Screen goes blank and is non-responsive.

kernel-2.6.27.9-159.fc10.x86_64
xorg-x11-drv-ati-6.9.0-63.fc10.x86_64
plymouth-0.6.0-0.2008.11.17.3.fc10.x86_64

Radeon 2100 (integrated on mobo)
radeon driver says the chipset  a "ATI RS740" (ChipID = 0x796e)

Occurs without an xorg.conf file and also with a basic one which specifies the radeon driver.
Comment 74 Joachim Frieben 2009-01-21 06:57:37 EST
System crash for "ATI Radeon X800 SE (R430) (PCIE)" (ChipID = 0x554e) a few seconds after launching 'glxgears' after booting without option "nomodeset" for the latest F10 kernels from koji:

- kernel-2.6.27.12-170.2.5.fc10.x86_64
- kernel-2.6.28.1-17.fc10.x86_64

In the case of the latter, background corruption is back as reported in comment #25.
Comment 75 Hin-Tak Leung 2009-01-25 19:11:40 EST
Created attachment 329962 [details]
Xorg.0.log, no xorg.conf

seem to have a regression - I used to be able to boot without nomodeset (comment 63). Dave Airlied just put a 6.10.0 on koji 
xorg-x11-drv-ati-6.10.0-1.fc10
and I am using 2.6.28.1-19.fc10.x86_64 .

The Xserver won't start. attached log. radeon +EXA without modeset used to work, just very unstable... (and I have been using radeonhd for a while, which is more stable but not-perfect).
Comment 76 Brad Longo 2009-03-03 16:24:05 EST
I also cannot boot without nomodeset on my Thinkpad T60.  Here is my info:
ATI Technologies Inc M52 [Mobility Radeon X1300]
kernel-2.6.27.12-170.2.5.fc10.i686
xorg-x11-drv-ati-6.10.0-2.fc10.i386

I can supply any info that might help out.  Just let me know what is needed.
Comment 77 ufa 2009-03-09 09:53:27 EDT
I can boot, but my X servers freezes every once in a while. I am getting these messages on /var/log/messages:

[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. ffff88009bd66e00 7404 4000027 2000020
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.
drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. ffff88009bd66e00 7404 4000027 2000020
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.
[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. ffff88009bd66e00 7404 4000027 2000020


I have an ati X600 video card on a 64 bit Fedora. 

xorg-x11-drv-ati.x86_64  Version 6.10.0-2.fc10 
Kernel: 2.6.27.19-170.2.35.fc10.x86_64
Comment 78 G.Wolfe Woodbury 2009-03-19 05:28:42 EDT
Can't boot properly (nor install) without nomodeset on a i686 machine using an older ATI radeon Rage XL (old X-driver:Mach64)

smolt info: 
http://www.smolts.org/client/show/pub_5b4371f7-d567-4b8a-a2b9-358e41f3f736

NotaBene: this is in the current rawhide of 20090318
Comment 79 Daniel Qarras 2009-04-03 11:14:22 EDT
> on my Acer Aspire 1690 suspend/resume won't work without "nomodeset". With
> suspend resume seems to do nothing, with hibernation I can enter commands
> blindly and they work (e.g., poweroff). With "nomodeset" both suspend/resume
> work.

This is still the case with F11ß. I am unable to adjust version information of this bug to rawhide.
Comment 80 David Tardon 2009-05-27 02:11:24 EDT
Works without problems on ATI Radeon X600 with xorg-x11-drv-ati-6.12.2-14.fc11.x86_64 and kernel-2.6.29.3-155.fc11.x86_64 .
Comment 81 Fredrik Chabot 2009-06-11 17:46:26 EDT
On an MSI Wind U100 (Intel Mobile 945GME) F11 release (2.6.29.4-167.fc11.i686.PAE)

Suspend/resume works approx 3 times out of 10 without nomodeset works approx 10 times out of 10 with nomodeset.

When it does work btw it is really fast, resuming in less than 2 seconds
Comment 82 Brad Longo 2009-06-11 18:54:05 EDT
After upgrading to Fedora 11 modesetting still doesn't work for me on my T60.

VGA compatible controller: ATI Technologies Inc M52 [Mobility Radeon X1300]
kernel-PAE-2.6.29.4-167.fc11.i686
Comment 83 Richard Cavell 2009-06-17 04:45:06 EDT
Is Bug 504540 a duplicate?  Note that I can fix the preview of F11 with nomodeset, but the F11 final release (KDE) doesn't work on my MacBook, appearing to have the same kind of graphics corruption.  Nomodeset doesn't save my bacon with the final release.

Richard
Comment 84 Joachim Frieben 2009-06-18 09:59:02 EDT
After upgrading from kernel-doc-2.6.27.24-170.2.68.fc10.i686 to kernel-2.6.29.5-84.fc10.i686, I do no longer see the progress bar for non-graphical boot. Instead, the screen stays entirely black. Option "nomodeset" is needed in order to boot the system and have a working X environment.
Device is an "ATI Technologies Inc Radeon R100 QD [Radeon 7200] rev 0"; public SMOLT profile is available at http://www.smolts.org/client/show/pub_404b0d8f-bccd-4123-97e7-e21d09d2c097 .
Comment 85 Fredrik Chabot 2009-06-26 03:25:33 EDT
(In reply to comment #81)
> On an MSI Wind U100 (Intel Mobile 945GME) F11 release
> (2.6.29.4-167.fc11.i686.PAE)
The latest released kernel 2.6.29.5-191.fc11.PAE does not solve the suspend/resume problem.
Comment 86 Joachim Frieben 2009-07-09 04:24:45 EDT
For current F11 w/updates, booting a system eqipped with an ATI Technologies Inc Radeon R100 QD [Radeon 7200] rev 0 with active KMS, the screen simply shows a number of vertical stripes of different color on a black background. Installed kernel package is kernel-PAE-2.6.29.6-211.fc11.i686.
Comment 87 Ben Webb 2009-07-15 13:03:43 EDT
Another data point: booting without 'nomodeset' fails for me (blank screen; the system does come up, and I can ssh in, but no video) but works with 'nomodeset' on the following system:

HP ProLiant DL380 G6
ATI ES1000 (rev 02)
kernel-2.6.29.5-191.fc11.x86_64
Comment 88 Ed Marshall 2009-09-19 15:23:32 EDT
ATI X1250 mobility (Dell Inspiron 1721 laptop), latest x86_64 rawhide, with no xorg.conf, I have to supply nomodeset on the kernel command line, or I end up with terrible visual artifacts for a while, until X eventually hangs, requiring remote access and a reboot.

Specifying nomodeset, everything seems fine, although I get black flicker with video playback and 3D games.

Driver version version:

xorg-x11-drv-ati-6.13.0-0.4.20090908git651fe5a47.fc12.x86_64

lspci:

01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series] (prog-if 00 [VGA controller])
        Subsystem: Dell Device 01fd
        Flags: bus master, fast devsel, latency 64, IRQ 19
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at fe9f0000 (64-bit, non-prefetchable) [size=64K]
        I/O ports at ee00 [size=256]
        Memory at fea00000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel modules: radeon
Comment 89 Z K Dabek 2009-10-21 14:32:58 EDT
Fedora 12 Beta i686 live CD on RS485M-M motherboard needs nomodeset to show any screen text or graphics.
ATI Radeon X1100 (300 series I believe)
Comment 90 Alex Jia 2009-11-02 03:49:35 EST
we also met the problem with RHEL6.0 alpha version on x86_64 machine.
need to add "nomodeset" parameter into kernel booting option.


additional information:

[root@dhcp-66-70-97 home]# lsmod|grep kvm
kvm_intel              57344  0 
kvm                   192512  1 kvm_intel
[root@dhcp-66-70-97 home]# uname -a
Linux dhcp-66-70-97.nay.redhat.com 2.6.31-31.el6.x86_64 #1 SMP Fri Oct 16 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[root@dhcp-66-70-97 home]# lspci|grep -i radeon
01:00.0 VGA compatible controller: ATI Technologies Inc RV610 video device [Radeon HD 2400 PRO]
Comment 91 Martin Jürgens 2009-11-03 18:02:53 EST
crashes when starting X. Gigabyte GA-MA785GMT-UD2H with AMD 785G
Comment 92 Bug Zapper 2009-11-18 02:55:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 93 Ed Marshall 2009-11-18 08:49:24 EST
This is still an issue for me on F12; Dell Inspiron 1721 laptop with the following video card: (Reposting since I didn't run lspci as root last time. ;-)

01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series] (prog-if 00 [VGA controller])
        Subsystem: Dell Device 01fd
        Flags: bus master, fast devsel, latency 64, IRQ 19
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at fe9f0000 (64-bit, non-prefetchable) [size=64K]
        I/O ports at ee00 [size=256]
        Memory at fea00000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [50] Power Management version 2
        Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit+
        Kernel modules: radeon

Linux localhost.localdomain 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

The bug version should be updated to Fedora 12. :)
Comment 94 Brad Longo 2009-11-19 09:56:04 EST
I agree with Ed.  The bug version should be updated to Fedora 12.  I still have to use 'nomodeset' on Thinkpad T60 with VGA compatible controller: ATI Technologies Inc M52 [Mobility Radeon X1300].
Comment 95 Martin Jürgens 2009-11-20 12:40:29 EST
plymouth works fine with AMD 785G but instead of showing GDM i just see a black screen. i'd like to get this escalated so if you need more information please let me know!
Comment 96 Richard Smith 2009-11-21 15:45:20 EST
Probably only of interest to palaeontologists...

F11 install (upgraded from F10) on Intel(R) Pentium(R) 4 CPU 2.40GHz on an 82845 / ICH4 motherboard.  Machine only ever boots in run level 3.

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device 5247
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Memory at ffa80000 (32-bit, non-prefetchable) [size=512K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [d0] Power Management version 1
	Kernel modules: i915

Linux lister.home 2.6.30.9-96.fc11.i686.PAE #1 SMP Tue Nov 3 23:41:33 EST 2009 i686 i686 i386 GNU/Linux

Will not boot (crashes) without nomodeset.  Early in boot process, the screen blanks and puts the monitor into standby.  Possible to login via ssh for a short while (a few seconds), then machine locks requiring power cycle to recover.

Works fine with nomodeset (so this is just an FYI - I have the functionality I require)
Comment 97 Robinson Maureira 2009-11-24 09:39:46 EST
Same here with HP 6530b, without nomodeset it boots but hangs right before showing the GDM screen.

If I boot with nomodeset I can't enable compiz "Desktop Effects", which is commented on another BZ.
Comment 98 Christopher Scannell 2009-11-28 13:12:31 EST
F12 is completely unusable on my Inspiron 8500.

After a couple of many hours of struggling, I managed to get a minimal system up and running using the rpms from the F12 install CDs.  Gnome was working with a very small set of applications (Firefox, Thunderbird and a few others).

I then made the mistake of adding about 600 new rpms with yum (and updated everything I had from fedora's yum repository).

Now I can't get X to start (drmOpen fails) without "nomodeset".  Gnome hangs within a few minutes of my logging in (it's taken a dozen reboots for me to get this bug message entered).  Xfce seems to work without hanging (as long as I don't Ctrl-Alt to the text screens, which are unusable anyway).

I get a message "virbr0: starting userspace STP failed, starting kernel STP" before GDM starts.

Let me stop here before eveything freezes on me.  :)
Comment 99 Christopher Scannell 2009-11-28 13:16:08 EST
Created attachment 374443 [details]
Inspiron 8500 Xorg.5.log, no xorg.conf, fails to load drm module
Comment 100 Christopher Scannell 2009-11-28 13:25:15 EST
Created attachment 374444 [details]
/var/log/messages with and w/o "nomodeset", Inspiron 8500, NVIDIA chipset, F12
Comment 101 Christopher Scannell 2009-11-30 12:24:53 EST
My Inspiron 8500 has a GeForce4 Ti 4200 video card (and uses the PAE kernel).

I suspect I should try to use rpmfusion to get a "nouveau" rpm for my system.

Can anyone recommend that course of action?

I was planning on starting with the directions found here:

http://www.mjmwired.net/resources/mjm-fedora-nvidia.html

Thanks.
Comment 102 RJ Bergeron 2009-12-02 18:30:16 EST
I also have this problem, on a Dell Latitude C840 with an ATI graphics card. I can provide more information if needed.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 01)
Comment 103 Draciron 2009-12-12 11:49:03 EST
All was good with new kernel until updates downloaded today. I could then get the splash screen but could not log into X as a user, only as Root. Reverted back to 162 and had no problem logging in. 

Fixed problem by installing Nvidia drivers off rpmfusion and following a rather complex Nvidia install guide which cleared up the problem. I suspect that the xorg.nvidia drivers were the cause of the problem combined with the nomodeset kernel parm I was using to prevent the mouse cursor from randomly vanishing causing me to reboot not just restart X to get my mouse cursor back.
Comment 104 Hin-Tak Leung 2009-12-12 14:13:07 EST
(In reply to comment #103)
> All was good with new kernel until updates downloaded today. I could then get
> the splash screen but could not log into X as a user, only as Root. Reverted
> back to 162 and had no problem logging in. 

If it is 'no user shown' in the login screen, then it is just bug 545267 . (unrelated to driver or kernel or nomodeset). If you get a gdm login screen at all, then kernel modesetting works.

It has worked alright for me (RS690/X1200, ATI).
Comment 105 Christopher Scannell 2009-12-14 12:02:08 EST
(In reply to comment #101)
> My Inspiron 8500 has a GeForce4 Ti 4200 video card (and uses the PAE kernel).
> 
> I suspect I should try to use rpmfusion to get a "nouveau" rpm for my system.
> 
> Can anyone recommend that course of action?
> 
> I was planning on starting with the directions found here:
> 
> http://www.mjmwired.net/resources/mjm-fedora-nvidia.html
> 
> Thanks.  

This seems to work.  I'd prefer it wasn't necessary since I'm not currently doing anything on the laptop that requires the accelerated graphics drivers from NVIDIA.

This is a hassle, especially when updated kernels come out before the corresponding kmod-nvidia modules.
Comment 106 Bug Zapper 2009-12-18 01:27:55 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 107 Ed Marshall 2009-12-18 07:37:41 EST
Uh, guys? We still have a problem here. Allowing the bug to be closed automatically doesn't fix it. ;-)
Comment 108 Matěj Cepl 2009-12-18 13:11:57 EST
(In reply to comment #107)
> Uh, guys? We still have a problem here. Allowing the bug to be closed
> automatically doesn't fix it. ;-)  

This bug was not closed because we would claim it has been resolved (see the resolution) but because we think it is better to have opened many bugs for each platform individually. It was originally meant as a tracker bug (i.e., the bug which has no content of its own, just allows following many dependent bugs), but it wasn't well described and was (understandingly) used by many as a the real bug solving all their problems with KMS, and so it didn't help solution of their problems but lead to the false expectations.

If anybody has a problem with starting their computer without nomodeset on their computer, please search for the duplicate of your bug (which more likely than not has been already filed) and if you won't find anything, file a new one.

Please attach to such bug your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link.

Thanks in advance.
Comment 109 Hiraku Zero 2010-06-03 22:32:51 EDT
I have the same issue although Fedora hangs once service adp loads and says its ok. Afterwards the screen flashes a few times and it hangs forever. I'm running Fedora 12 64bit.

Note You need to log in before you can comment on or make changes to this bug.